Security update for krb5 (important)

2012-01-05T12:35:50
ID SUSE-SU-2012:0042-1
Type suse
Reporter Suse
Modified 2012-01-05T12:35:50

Description

This update of krb5 fixes several security issues.

  • CVE-2011-4862: A remote code execution in the kerberized telnet daemon was fixed. (This only affects the ktelnetd from the krb5-appl RPM, not the regular telnetd supplied by SUSE.)
  • CVE-2011-1526 / MITKRB5-SA-2011-005: Fixed krb5 ftpd unauthorized file access problems.
  • CVE-2010-1323 / MITKRB5-SA-2010-007: Fixed multiple checksum handling vulnerabilities, where: o krb5 clients might have accepted unkeyed SAM-2 challenge checksums o krb5 might have accepted KRB-SAFE checksums with low-entropy derived keys
  • CVE-2010-1321, MITKRB5-SA-2010-005: Fixed GSS-API library null pointer dereference